# rtppkt.h File Reference

RTP packets handling. More...

`#include <ccrtp/base.h>`
`#include <ccrtp/formats.h>`
`#include <ccrtp/CryptoContext.h>`

Go to the source code of this file.

## Classes

class | RTPPacket
| A base class for both IncomingRTPPkt and OutgoingRTPPkt. More...
struct | RTPPacket::RTPFixedHeader
| RTP fixed header as it is send through the network.
struct | RTPPacket::RFC2833Payload
| a structure defining RFC2833 Telephony events. More...
struct | RTPPacket::RTPHeaderExt
| Fixed component of the variable-length header extension, appended to the fixed header, after the CSRC list, when X == 1.
class | OutgoingRTPPkt
| RTP packets being sent. More...
class | IncomingRTPPkt
| RTP packets received from other participants. More...

## Detailed Description

RTP packets handling.